import os
from dotenv import load_dotenv

current_dir = os.path.dirname(os.path.abspath(__file__))
parent_dir = os.path.dirname(current_dir)
env_path = os.path.join(parent_dir, 'environment.env')
load_dotenv(env_path)

EMBEDDINGS_FILE = 'qa_embeddings.pkl'
FAISS_INDEX_FILE = 'qa_faiss_index.bin'
CSV_FILE = 'log_record_rows.csv'

system_prompt = "你是台北101大樓的AI助理，你樂於以台灣人的立場幫助使用者，會用繁體中文回答問題。"